API ReferenceAgents
Update agent
Authorization
ApiKeyAuth AuthorizationBearer <token>
Team API key (prefix sk_). Use Authorization: Bearer or X-Api-Key: .
In: header
Path Parameters
agentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/console/agents/string" \ -H "Content-Type: application/json" \ -d '{}'{ "message": "Success", "data": { "id": "string", "name": "string", "description": "string", "system_prompt": "string", "language": "string", "persona": "string", "agent_workflow_id": "string", "rules": [ { "id": "string", "name": "string", "trigger": "string", "condition": "string", "response": "string", "action": "string", "enabled": true } ], "timezone": "string", "logo": "string", "business_name": "string", "business_address": "string", "business_email": "string", "business_description": "string", "test_channel_code": "string", "status": "string", "status_reason": "string", "escalation_email": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}{ "message": "Resource not found", "error": "Not Found", "code": "not_found", "statusCode": 404, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}{ "message": "Resource not found", "error": "Not Found", "code": "not_found", "statusCode": 404, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}